<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout  xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:context=".home.ConnectDeviceActivity">

    <!-- 标题栏 -->
    <LinearLayout
        android:id="@+id/topBar"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:gravity="center_vertical"
        android:paddingHorizontal="16dp">

        <ImageView
            android:id="@+id/ivBack"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/back" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@string/connect_device"
            android:textColor="@color/black"
            android:textSize="16dp"
            android:textStyle="bold" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:gravity="center"
        android:layout_below="@id/topBar">
        <ImageView
            android:id="@+id/ivAnimation"
            android:layout_width="match_parent"
            android:layout_height="333dp"
            android:layout_marginTop="48dp" />

        <TextView
            android:id="@+id/tvStepText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:textSize="14dp"
            android:textColor="@color/gray" />

        <TextView
            android:id="@+id/tvHint"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:textSize="14dp"
            android:textColor="@color/gray"
            android:gravity="center" />
        <TextView
            android:id="@+id/tvDeviceName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:textSize="14dp"
            android:textColor="@color/gray"
            android:gravity="center" />
    </LinearLayout>

    <LinearLayout
        android:gravity="center"
        android:id="@+id/successLayout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_centerInParent="true"
        android:visibility="gone">

    <ImageView
        android:id="@+id/successImage"
        android:layout_width="110dp"
        android:layout_height="110dp"
        android:src="@drawable/connected_successfully" />

    <TextView
        android:layout_marginTop="20dp"
        android:id="@+id/successText"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/connection_success"
        android:textSize="16dp" />
</LinearLayout>



</RelativeLayout >